.popup {
    height: 100vh;
    width: 100%;

    display: flex;
    justify-content: center;
    align-items: center;

    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;

    background-color: rgba($color-black, .3);
    backdrop-filter: blur(10px);

    opacity: 0;
    visibility: hidden;

    transition: all .4s;

    &__content {
        width: 75%;
        height: 75%;

        display: flex;
        position: relative;

        border-radius: 3px;
        background-color: $color-white;
        box-shadow: 0 2rem 4rem  rgba($color-black, .2);

        overflow: hidden;
        opacity: 0;
        transform: scale(.25);

        transition: all .5s .1s;

        @include respond-to ('mobile') {
            flex-direction: column;
            overflow: scroll;
        }
    }

    &__left {
        width: 40%;

        display: flex;
        flex-direction: column;

        @include respond-to ('mobile') {
            width: 100%;
            flex-direction: row;
        }
    }

    &__right {
        width: 60%;
        padding: 3rem 5rem;
        display: flex;
        flex-direction: column;
        justify-content: center;

        @include respond-to ('mobile') {
            width: 100%;
            padding: 2rem 3vw 4rem;
        }
    }

    &__img-wrapper {
        height: 50%;

        @include respond-to ('mobile') {
            width: 100%;
            height: auto;
        }
    }

    &__img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    &__heading {
        margin-bottom: 3rem;

        @include respond-to ('mobile') {
            margin-bottom: 1rem;
            font-size: 2rem;
        }
    }

    &__subheading {
        margin-bottom: 2rem;

        @include respond-to ('mobile') {
            margin-bottom: 1rem;
            font-size: 1.5rem;
        }
    }

    &__text {
        margin-bottom: 4rem;

        font-size: 1.4rem;
        column-count: 2;
        column-gap: 4rem;
        column-rule: 1px solid $color-gray-light-200;

        hyphens: auto;

        @include respond-to ('mobile') {
            column-count: 1;
        }
    }


    &:target {
        opacity: 1;
        visibility: visible;
    }

    &:target &__content {
        opacity: 1;
        transform: scale(1);
    }

    &__close {
        &:link,
        &:visited {
            display: inline-block;

            position: absolute;
            top: 2.5rem;
            right: 2.5rem;

            font-size: 3rem;
            line-height: 1;
            color: $color-gray-dark-300;
            text-decoration: none;

            transition: all .2s;

            @include respond-to ('mobile') {
                width: 36px;
                height: 36px;

                display: flex;
                align-items: center;
                justify-content: center;

                background-color: $color-white;
                border-radius: 50%;
            }
        }

        &:hover,
        &:active {
            color: $color-primary-dark;
        }
    }
}
